Subject: Re: Results for 2.97 20010115 (experimental) testsuite on i686-pc-cygwin
From: Christian Jönsson <[email-masked]>
To: "Billinghurst, David \(CRTS\)" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 24 Jan 2001 08:23:57 +0100

Thanks for your tips about -lm, I saw that some weeks ago when I raised the
issue of dejagnu with cygwin-1.1.7 and GCC testsuite. I just thought I'd
make
a clean build first.

As you can see in the beginning of my e-mail, I have installed, the test
releases
available with the cygwin setup utility, of dejagnu-20010117-1 and
expect-20010117-1. The rest is "standard" cygwin.

N.B., there are two new tests passing...

Cheers,

/ChJ

----- Original Message -----
From: "Billinghurst, David (CRTS)" <[email-masked]>
To: "'Christian Jönsson'" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, January 24, 2001 12:47 AM
Subject: RE: Results for 2.97 20010115 (experimental) testsuite on
i686-pc-cygwin

Your g77 failures are caused by linking with -lm.  Try the following patch
to usr/share/dejagnu/target.exp.  Crude, but it works.

--- target.exp.bak      Wed Jan 24 10:39:04 2001
+++ target.exp  Wed Jan 24 10:39:30 2001
@@ -471,7 +471,7 @@
        if [board_info $dest exists mathlib] {
            append add_flags " [board_info $dest mathlib]"
        } else {
-           append add_flags " -lm"
+           append add_flags ""
        }

        # This must be added here.

I see you managed to get dejagnu running with cygwin installed in c:\cygwin.
I have not been able to do this.   Did you install your own versions of
dejagnu, tcltk and expect.  If so, where did you get them from and how did
you build them?

+++++++++++++++++++++++++++++++++++++++++
(Mr) David Billinghurst
Comalco Research Centre
PO Box 316, Thomastown, Vic, Australia, 3074
Phone: +61 3 9469 0642
FAX: +61 3 9462 2700
Email: [email-masked]

> -----Original Message-----
> From: Christian Jönsson [SMTP:[email-masked]]
> Sent: Wednesday, 24 January 2001 6:50
> To: gcc-testresults
> Cc: cygwin
> Subject: Results for 2.97 20010115 (experimental) testsuite on
> i686-pc-cygwin
>
> This was on an win2k/sp1 host with an up to date cygwin install.
> Root dir of cygwin install is C:\cygwin.
>
> binutils-20001221-1
> cygwin-1.1.7-1
> dejagnu-20010117-1
> expect-20010117-1
> gcc-2.95.2-6
> tcltk-20001125-1
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple